Event Tag How To Post data

Overview

Event Tags let you push data from external systems — POS, WMS, access control — into Lumana, so that data becomes searchable alongside your video. For a conceptual introduction, see Enhance Your Video Data with Lumana Event Tag.Getting Started with Event Tag

Step 1: Generate your Public API Key Token

To authenticate API requests, Lumana uses unique API keys along with an organization ID. Each organization can generate up to 10 API keys, each with an expiration date.

To create an API key, navigate to ‘Organization → ‘Organization Settings’ → ‘ API Key’ –>Generate Key . You’ll then need to enter a name for the key and set an expiration date.

Step 2: Setup Event Tag

Within Lumana’s portal, you create an event tag. The setup allows for up to 10 different fields per event. Each field can be integer (whole numbers), decimals, text, or boolean (true/false).

Go to ‘Organization → Organization database → Event Tag → Create event Tag.

In the below example, we created an event type named ‘Pallet Logging’. Upon creation, an event Id is generated, which is essential for posting data to Lumana's system.

Note: Each organization can create up to 10 event tags.

Once you click create, the system will generate an event Id that will be used to POST data to Luaman’s System.

Step 3: POST Event data

To ingest events you should send a POST request to [https://access.lumana.ai/v1/events-tag/insert](https://api.lumix.ai/custom-events/insert)

In addition the following information is required:
Organization Id: can be found in Lumana within the organization settings
Camera Id: can be found in Edit Camera
Timestamp: Unix epoch timestamp in milliseconds of the event
Event Type Id
The fields that were defined for this event type with corresponding values. Not all fields are required to post an event.
API Key
Example of POST request with CURL:

curl --location 'https://access.lumana.ai/v1/events-tag/insert' \
  --header 'Authorization: Bearer <YOUR_API_KEY>' \
  --header 'Content-Type: application/json' \
  --data '{
    "orgId": "631d897c32b1b5c5c0c6350f",
    "cameraId": "646dd77b3b6af4f41e0c2129",
    "eventTypeId": "655cb88d1ff98797b9dc0c3b",
    "fields": { "PalletID": "2acd" },
    "timestamp": 1702933595445
  }'

200 OK — {"success": true}

400 Bad Request — orgId is not match. The orgId in your body doesn't match the organization bound to your API key.

Step 4: Search for the event

After the system accepts the request, the event tag becomes searchable in Lumana’s portal.
Navigate to search and look for the event tag you created. Do not forget to select the camera and time range you would like to search the event tag for.

In the fields selection you can search for the type of matching for each of the tags

Event tags will be kept based on your storage configuration and retention policy. You can purchase additional storage time on the cloud. Please contact [email protected] for more details.